Page 2 of 6 FirstFirst 1234 ... LastLast
Results 11 to 20 of 56

Thread: Creativ ZEN X-fi

  1. #11
    Join Date
    Feb 2009
    Beans
    22

    Re: Creativ ZEN X-fi

    After following all the instructions here (my version of libmtp is 8, not 7) mine works flawlessly with amarok, without needing sudo. However, when trying it with rhythmbox or banshee they didn't found it. When doing mtp-detect it appears but still as unknown device (without error messages, though). I guess it has something to do with the fact that in amarok you add an mtp-device manually while the others are supposed to find it on their own. Has anyone managed to get it to work with any gtk-player?

  2. #12
    Join Date
    Feb 2009
    Beans
    22

    Re: Creativ ZEN X-fi

    Hi again, after some more research, i've been able to make my zen x-fi 8gb work flawlessly under banshee and rhythmbox (only tried a bit with exaile, and there seemed to be problems with pymtp version). I installed the last version of either player and got a libmtp8 0.3.6 from this PPA Kudos for glennric, since it just works. I guess you can also compile libmtp8 yourself, but i couldn't manage to get it working and since glennric is last version of libmtp i found it easier to add it. Thanks to all

  3. #13
    Join Date
    Jun 2008
    Location
    Sherbrooke, Qc
    Beans
    56
    Distro
    Ubuntu 18.04 Bionic Beaver

    Talking Re: Creativ ZEN X-fi

    I followed instructions form this thread and looked-up another with no success untill I logged-in using gnome instead of kde and voilà gnomad2 works great!!! only 155MB left

    thx

  4. #14
    Join Date
    Jun 2008
    Beans
    5
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Creativ ZEN X-fi

    Is there a definate set of instructions for setting up a x-fi player in ubuntu 8.1.0 and 9.0.4 now please?

  5. #15
    Join Date
    Feb 2009
    Beans
    22

    Re: Creativ ZEN X-fi

    Well, i've switched to Arch so i don't know what the libmtp version in Jaunty is. Anyway, all you need is libmtp8 0.3.6 or superior (in arch it's 3.7, but with 3.6 it was working already) If the X-Fi isn't in the libmtp.rules, you can download the source code, ./configure it and make it, and it should create a new libmtp.rules which worked for me with 0.3.6 (.7 works flawlessly so far) After installing libmtp it should work with rhythmbox or banshee. With amarok you may have to add it (add new device). With exaile there's a problem with pymtp which i can't solve, apparently a new version of pymtp is needed. Hope this helps.

  6. #16
    Join Date
    Jun 2008
    Beans
    5
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Creativ ZEN X-fi

    Is it possible you can provide a set of commands please, i am pretty new

  7. #17
    Join Date
    Apr 2009
    Beans
    28

    Re: Creativ ZEN X-fi

    Thanks so much guys! Just started out on ubuntu and was a bit dissapointed that it wasnt recognizing it, but now I read this it will be a lot easier. Thanks!

  8. #18
    Join Date
    Apr 2009
    Beans
    28

    Re: Creativ ZEN X-fi

    still having some trouble... i did what you said... it worked... but then i restarted my computer and it didnt work... going to see what happend wrong.

  9. #19
    Join Date
    Feb 2009
    Beans
    22

    Re: Creativ ZEN X-fi

    As I said earlier, i've switched to Arch, so i'm not sure this will work. Last time I did, in intrepid, it did, so I think there shouldn't be any problem.

    Basically, to get a Zen X-Fi you need a libmtp 8 which version is superior to 0.3.5 and Gnomad2, Banshee, Rhythmbox or Amarok (those are the ones that worked for me). My version of libmtp is 0.3.7 and it works flawlessly. It's the version you will have in karmic. If you can't wait, you will have to either compile it yourself or add a PPA including the packages. I found it best to add a PPA, but it's your choice. The one I was using was Glennric's so the credit goes for him.

    For adding the PPA:

    Open System → Administration → Software Sources and press Third Party Software.
    There you have to add the two repo entries:

    deb http://ppa.launchpad.net/glennric/ppa/ubuntu jaunty main
    deb-src http://ppa.launchpad.net/glennric/ppa/ubuntu jaunty main

    Of course, if you are in Jaunty, if not, you have to type intrepid instead
    You click Add Source for each one and when you reload, you will see there's an error because the repo isn't signed.

    Next we have to add the repo's key.
    Go here and copy the text into a text editor (gedit, mousepad, kate, there are so many..) and save it to your hard drive. The name is up to you, but something like "glennric repo pgp key" comes to mind

    Then we go to System->Administration->Software Sources and click the Authentication tab
    Click Import Key File, select the key you saved earlier and you're done!

    All that's left is to update the system packages and install libmtp from launchpad with Synaptic, alongside with mtp-tools and the player of your choice. Exaile won't work AFAIK since the pymtp package is too old and we have to wait for a new one to be released. Banshee in my view performs admirably, but Amarok and Rythmbox are quite good too.

    Since there are other ways some may prefer to add a new repo and its key, i'll give glennric's launchpad page (also give thanks to him!). Of course, ubuntu backporting a new version of libmtp before karmic release would be quite nice, but i didn't have the slightest problem with PPAs in the past.

    You can test your libmtp by pluging your device and typing mtp-detect in a terminal. Usually it should connect to it without trouble; if your /etc/udev/rules.d/45-libmtp.rules doesn't have the Zen X-Fi in, you can just download the source from their site
    Doing ./configure and make will give you a libmtp.rules file to overwrite your local configuration (so, copying it and pasting where the old one was. Save the old one first!). Then you can retry mtp-detect.

    Hope it's finally clear and works for everyone!

    Cheers

    alezflute

  10. #20
    Join Date
    Feb 2008
    Beans
    5

    Re: Creativ ZEN X-fi

    First thank you alezflute for your tutorial. But I can't see any libmtp 8 0.3.7 (I have 0.3.0 installed) in system packages update nor in Synaptic Package Manager.
    I run Jaunty amd64.

Page 2 of 6 FirstFirst 1234 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •